Package org.pushingpixels.flamingo.internal.ui.common

# Class BasicRichTooltipPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.RichTooltipPanelUI
org.pushingpixels.flamingo.internal.ui.common.BasicRichTooltipPanelUI

public class BasicRichTooltipPanelUI extends RichTooltipPanelUI
Basic UI for rich tooltip panel `JRichTooltipPanel`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`BasicRichTooltipPanelUI.RichTooltipPanelLayout`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<JLabel>`
`descriptionLabels`
`protected JLabel`
`footerImageLabel`
`protected List<JLabel>`
`footerLabels`
`protected JSeparator`
`footerSeparator`
`protected JLabel`
`mainImageLabel`
`protected JRichTooltipPanel`
`richTooltipPanel`
The associated tooltip panel.
`protected List<JLabel>`
`titleLabels`

## Constructor Summary

Constructors
Constructor
Description
`BasicRichTooltipPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`protected LayoutManager`
`createLayoutManager()`
`static ComponentUI`
`createUI(JComponent c)`
`protected int`
`getDescriptionTextWidth()`
`protected int`
`getLayoutGap()`
`protected void`
`installComponents()`
Installs components on the associated rich tooltip panel.
`protected void`
`installDefaults()`
Installs default settings for the associated rich tooltip panel.
`protected void`
`installListeners()`
Installs listeners on the associated rich tooltip panel.
`void`
`installUI(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`
`protected void`
`paintBackground(Graphics g)`
`protected void`
`removeExistingComponents()`
`protected void`
`uninstallComponents()`
Uninstalls subcomponents from the associated rich tooltip panel.
`protected void`
`uninstallDefaults()`
Uninstalls default settings from the associated rich tooltip panel.
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated rich tooltip panel.
`void`
`uninstallUI(JComponent c)`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### richTooltipPanel

protected JRichTooltipPanel richTooltipPanel
The associated tooltip panel.

### titleLabels

protected List<JLabel> titleLabels

### descriptionLabels

protected List<JLabel> descriptionLabels

### mainImageLabel

protected JLabel mainImageLabel

### footerSeparator

protected JSeparator footerSeparator

### footerImageLabel

protected JLabel footerImageLabel

### footerLabels

protected List<JLabel> footerLabels

## Constructor Details

### BasicRichTooltipPanelUI

public BasicRichTooltipPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### installDefaults

protected void installDefaults()
Installs default settings for the associated rich tooltip panel.

### installListeners

protected void installListeners()
Installs listeners on the associated rich tooltip panel.

### installComponents

protected void installComponents()
Installs components on the associated rich tooltip panel.

### uninstallDefaults

protected void uninstallDefaults()
Uninstalls default settings from the associated rich tooltip panel.

### uninstallListeners

protected void uninstallListeners()
Uninstalls listeners from the associated rich tooltip panel.

### uninstallComponents

protected void uninstallComponents()
Uninstalls subcomponents from the associated rich tooltip panel.

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`

### paintBackground

protected void paintBackground(Graphics g)

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `ComponentUI`

### createLayoutManager

protected LayoutManager createLayoutManager()

### getDescriptionTextWidth

protected int getDescriptionTextWidth()

### getLayoutGap

protected int getLayoutGap()

### removeExistingComponents

protected void removeExistingComponents()